#!/bin/bash

set -xe

ARG=$1
OPTION=$2

if [ $ARG = "doc" ]; then
    if [ $OPTION = "fe" ]; then
        cargo doc --no-deps --target wasm32-unknown-unknown -p rust-letter-fe --open
    elif [ $OPTION = "be" ]; then
        cargo doc --no-deps -p rust-letter-be --open
    else
        cargo doc --no-deps --open --workspace
    fi
elif [ $ARG = "test" ]; then
    if [ $OPTION = "fe" ]; then
        cargo test --target wasm32-unknown-unknown -p rust-letter-fe --doc
    elif [ $OPTION = "be" ]; then
        cargo test -p rust-letter-be --doc
    else
        cargo test --workspace --doc
    fi
fi
